List conversations
curl --request GET \
--url https://www.memoryplugin.com/api/chat-history/chats \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.memoryplugin.com/api/chat-history/chats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.memoryplugin.com/api/chat-history/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"title": "<string>",
"platform": "<string>",
"messageCount": 123,
"tokenCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinned": true
}
],
"page": 123,
"pageSize": 123,
"total": 123,
"totalPages": 123
}{
"error": "<string>",
"text": "<string>",
"score": 123
}Chat History Endpoints
List Conversations
List imported chat conversations with pagination and filtering.
GET
/
api
/
chat-history
/
chats
List conversations
Overview
List imported chat conversations with pagination and filtering. Use this to browse conversations, filter by platform, or search by title.Example
curl "https://www.memoryplugin.com/api/chat-history/chats?page=1&pageSize=10&provider=chatgpt" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number (1-indexed).
Results per page.
Required range:
x <= 100Filter by platform. Use 'all' for all platforms, or a specific platform ID (e.g., 'chatgpt', 'claude', 'custom').
Filter by conversation title (partial match).
Filter conversations created on or after this date (ISO 8601).
Filter conversations created on or before this date (ISO 8601).
Only return pinned conversations.
Filter by import ID.
Was this page helpful?